%define		modulename pam_apparmor
Summary:	PAM module to add AppArmor change_hat functionality
Summary(pl.UTF-8):	Moduł PAM dodający funkcjonalność AppArmor change_hat
Name:		pam-%{modulename}
Version:	2.8.2
Release:	1
Epoch:		1
License:	BSD or GPL
Group:		Base
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	bcc6bb56630b007d4ea5c9affe9d750d
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	pam-devel
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pam_apparmor module provides the means for any PAM applications
that call pam_open_session() to automatically perform an AppArmor
change_hat operation in order to switch to a user-specific security
policy.

%description -l pl.UTF-8
Moduł pam_apparmor daje możliwość każdej aplikacji PAM wywołującej
pam_open_session() automatycznie wykonać operację AppArmor change_hat
w celu przełączenia na specyficzną dla użytkownika politykę
bezpieczeństwa.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C changehat/pam_apparmor \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

install -D changehat/pam_apparmor/pam_apparmor.so $RPM_BUILD_ROOT/%{_lib}/security/pam_apparmor.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changehat/pam_apparmor/{COPYING,README}
%attr(755,root,root) /%{_lib}/security/pam_apparmor.so
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pam-pam_apparmor.git;a=log;h=master

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 44525f7
- up to 2.8.2

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ef4543
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b0e322
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 0e8d533
- versioned runtime dependency on libapparmor

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b3539a
- License is dual (BSD/GPL); package COPYING containing BSD license text
- libapparmor epoch

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ef45c0f
- up to 2.7.2

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b55595d
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f4e40a
- up to 2.6.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> d27581f
- dropped pre-cvs changelog

* Tue Mar 16 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 836bd3e
- up to 2.5

* Tue Feb 23 2010 Tomasz Pala <gotar@pld-linux.org> 4368635
- upgraded to 2.3-906, pass CFLAGS

* Thu May 29 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6accfd8
- up to 2.1.2.906

* Sat Apr 14 2007 zbyniu <zbyniu@pld-linux.org> f12da7f
- up to 2.0.1-437; epoch 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e2fd16a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b392cb5
- converted to UTF-8

* Fri Dec 01 2006 zbyniu <zbyniu@pld-linux.org> 9369498
- up to september snapshot

* Sat Apr 22 2006 Jakub Bogusz <qboosh@pld-linux.org> beb56e9
- pl

* Fri Apr 21 2006 spider <spider@pld-linux.org> 547ce16
- cosmetics

* Thu Apr 20 2006 zbyniu <zbyniu@pld-linux.org> bf3cb8a
- new, based on spec from package

